DtWsmSetWorkspaceTitle(API)

NAME
DtWsmSetWorkspaceTitle — set workspace title

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmSetWorkspaceTitle(
Widget widget,
Atom workspace,
char *title);

DESCRIPTION

The DtWsmSetWorkspaceTitle() function works with the CDE workspace manager, dtwm(1), and changes a specific workspace's title. Applications can use this function to implement an interface to the workspace manager.

If the DtWsmSetWorkspaceTitle() function is not successful, the most likely reason for failure is that the CDE workspace manager, dtwm(1), is not running. The DtWsmSetWorkspaceTitle() function requires a widget. A gadget (or unrealized widget) is not acceptable for the widget argument.

DtWsmSetWorkspaceTitle() sends a message to the CDE workspace manager, dtwm(1), to set the title. If the workspace name is not valid, no action is taken and the workspace manager reports no error.

ARGUMENTS

widget
    A realized widget on the screen of interest

workspace
    The name of the workspace (in X atom form) where the title should be set

title
    The new title

RETURN VALUE

The function returns Success (0) when it succeeds, and non-zero upon failure. Note that these are not the same values that _DtWsmSetWorkspaceTitle returns.

SEE ALSO

DtWsm(5)

"Communicating with the Workspace Manager" section in the CDE Programmer's Guide

"Workspace Manager" section in the CDE Programmer's Overview